//
//  RSSFeedParser.h
//  UsenetEngine
//
//  Created by Ger Teunis on 5/20/10.
//  Copyright (c) 2013 VortexApps. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class RSSFeed;
@class RSSFeedItem;
@class NZBqueue;
@class RSSFeedWatcher;

typedef enum {
    RSSFeedTestResultOkay,
    RSSFeedTestResultNoRSSServer,
    RSSFeedTestResultNoLinksToNZBs
} RSSFeedTestResult;

@interface RSSFeedController : NSObject {
	NSMutableArray *feeds;
    NSMutableArray *feedWatchers;
	bool forceUpdateEnabled;
	bool forceUpdateWithDownload;
	RSSFeed *forceUpdateOnFeed;
	bool cancelCurrentUpdate;
	bool isIdle;
	bool rssPreferencesOpened;
	NSObject *updatedCallbackTarget;
	SEL	updatedCallbackSelector;
    NSThread *rssFetchThread;
    
    dispatch_semaphore_t waitSemaphore;
    dispatch_semaphore_t stopThreadWaitSemaphore;
}

@property (nonatomic, retain) NSMutableArray *feeds;
@property (nonatomic, retain) NSMutableArray *feedWatchers;
@property (nonatomic) bool forceUpdateEnabled;
@property (nonatomic) bool forceUpdateWithDownload;
@property (nonatomic, retain) RSSFeed *forceUpdateOnFeed;
@property (nonatomic) bool cancelCurrentUpdate;
@property (nonatomic) bool isIdle;
@property (nonatomic) bool rssPreferencesOpened;
@property (nonatomic, retain) NSObject *updatedCallbackTarget;
@property (nonatomic) SEL updatedCallbackSelector;


#pragma mark -
#pragma mark Rest
-(NSArray*)feedItemsForOtherFeedWithSameURL:(RSSFeed*)currentFeed;
-(bool)performUpdatedSelector;
-(void)forceUpdate:(RSSFeed*)feed andDownload:(bool)download;
-(void)forceUpdate:(RSSFeed*)feed andDownload:(bool)download withCallback:(NSObject*)target Selector:(SEL)selector;
-(NSArray*)updateFeeds;
-(bool)downloadMatchingFeedItems;
-(void)stopThread:(bool)wait;
-(void)loadRSSFeeds;
-(void)saveRSSFeeds;
-(void)addRSSFeed:(RSSFeed*)rssFeed watcher:(RSSFeedWatcher*)watcher;
-(RSSFeed*)feedForURL:(NSString*)url;
-(RSSFeedTestResult)testRSSFeed:(RSSFeed*)feed;
-init;

@end
