function nzbStateCodeToString(nzb) {
			
	if (nzb.isPaused) {
		return "Paused, "+nzb.statusText;
	}

	if (nzb.state==0) {
		return "Waiting";
	}
	
	if (nzb.state==1) {
		return "Downloading";
	}
	
	if (nzb.state==2) {
		return "Waiting for save";
	}
	
	if (nzb.state==3) {
		return "Saving";
	}
	
	if (nzb.state==4) {
		return "Waiting for processing";
	}
	
	if (nzb.state==5) {
		return "Enter password for:";
	}
	
	if (nzb.state==6) {
		return "Queued for processing";
	}	
	
	if (nzb.state==7) {
		return "Press Resume for processing";
	}	
	
	if (nzb.state==8) {
		return "Checking";
	}
	
	if (nzb.state==9) {
		return "Repairing";
	}
	
	if (nzb.state==10) {
		return "Joining";
	}
	
	if (nzb.state==11) {
		return "Waiting for futher processing";
	}
	
	if (nzb.state==12) {
		return "Joining";
	}
	
	if (nzb.state==13) {
		return "Waiting for uncompress";
	}
	
	if (nzb.state==14) {
		return "Uncompressing";
	}
	
	if (nzb.state==15) {
		return "Uncompress finished";
	}
		
	if (nzb.state==16) {
		return "Cleaning up";
	}
	
	if (nzb.state==17) {
		return "Cleaned up";
	}
	
	if (nzb.state==18) {
		return "Moving to Completed";
	}
	
	if (nzb.state==19) {
		return "Moved to Completed";
	}
	
	if (nzb.state==20) {
		if (nzb.statusText.length==0) {
			return "Done";
		} else {
			return "Done, "+nzb.statusText;
		}			
	}
	
	if (nzb.state=21) {
		return "Uncompress failed";
	}
	
	if (nzb.state=22) {
		return "Check failed, data corrupt";
	}
	
	if (nzb.state=23) {
		return "Move failed, disk full?";
	}
	
	if (nzb.state=24) {
		return "Badly encoded download";
	}
	
	return "-";
}

function fileStateCodeToString(file) {
	var result = "";
    switch (file.state){
        case 0:
            result = "Waiting";
            break;
        case 1:
            result = "Downloading";
            break;
        case 2:
            result = "Downloaded";
            break;
        case 3:
            result = "Saving";
            break;
        case 4:
            if (!file.crc32CheckFailed) {
                result = "Done";
            } else {
                result = "Damaged (sfv)";
            }
            break;
        case 5:
            result = "Skipped";
            break;
        default:
            break;
    }
    
    return result;
}

function getImageForExtention(filename)
{
	var archiveImage = "images/ArchiveExtension";
	var dmgImage = "images/DMGExtension";
	var genericImage = "images/GenericExtension";
	var imageImage = "images/ImageExtension";
	var videoImage = "images/VideoExtension";
	var par2Image = "images/PAR2Extension";
	var nfoImage = "images/NFOExtension";
	var nzbImage = "images/NZBExtension";
	
	var result = genericImage;
	var retinaImage = (window.devicePixelRatio===undefined?1:window.devicePixelRatio)>1;
	
	if (filename.toLowerCase().substr(-4) === ".rar"
		|| filename.toLowerCase().substr(-4) === ".zip"
		|| filename.toLowerCase().search(/\.z\d{2}/)>=0
		|| filename.toLowerCase().search(/\.[rstuvw]{1}\d{2}/)>=0) {
		
		result = archiveImage;
	}
	
	if( filename.toLowerCase().substr(-4) === ".dmg" ) {
		result = dmgImage;
	}
	
	if (filename.toLowerCase().substr(-4) === ".png"
		|| filename.toLowerCase().substr(-4) === ".gif"
		|| filename.toLowerCase().substr(-4) === ".jpg"
		|| filename.toLowerCase().substr(-4) === ".jpeg"
		|| filename.toLowerCase().substr(-4) === ".bmp" ) {
		
		result = imageImage;
	}
	
	if (filename.toLowerCase().substr(-4) === ".mkv"
		|| filename.toLowerCase().substr(-4) === ".avi"
		|| filename.toLowerCase().substr(-4) === ".mpg"
		|| filename.toLowerCase().substr(-4) === ".mp4"
		|| filename.toLowerCase().substr(-4) === ".mpeg4" 
		|| filename.toLowerCase().substr(-4) === ".qt"
		) {
		
		result = videoImage;
	}
	
	if (filename.toLowerCase().substr(-5) === ".par2"
		|| filename.toLowerCase().substr(-4) === ".par") {
		result = par2Image;
	}
	
	if (filename.toLowerCase().substr(-4) === ".nfo") {
		result = nfoImage;
	}
	
		if (filename.toLowerCase().substr(-4) === ".nzb") {
		result = nzbImage;
	}
	
	if (retinaImage) {
		result+="@2x.png";
	} else {
		result+=".png";
	}
	
	return result;
}